Skip to main content
GET
List Clients

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

client_ids
string

Client id owned by the brand

sales_associate_ids
string

Sales Associate id owned by the brand

from
string

Only show clients updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.

to
string

Combined with the from parameter, only show clients updated whitin the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.

page
string

Page number of the results to fetch. Default: 1

per_page
string

Results per page (max 100). Default: 30

Response

200 - application/json

Successful response, returns array of clients

bspk_id
integer
required

BSPK internal unique identifier of the client

client_id
string
required

Unique identifier of the client

name
string | null
required
deprecated

Full name of the client

title
string | null
required

Title of the client

address
string | null
required
deprecated

Address of the client consolidated

addresses
object[]
required
email
string | null
required

Email of the client

mobile_phone
string | null
required

Mobile phone of the client

other_phone
string | null
required

Other phone of the client

birthday
string<date_time> | null
required

Birthday of the client

gender
enum<string> | null
required

Gender of the client

Available options:
M,
F,
NB,
null
nationality
string | null
required

Nationality of the client

passport_number
string | null
required

Passport Number of the client

language
string | null
required

Language of the client

preferred_contact_channel
enum<string> | null
required

The preferred channel of the client

Available options:
chat,
email,
line,
whastapp,
wechat,
call,
null
current_sales_associate_id
string | null
required

Unique identifier of the associate that the client is assigned to

current_sales_associate_name
string | null
required

Full name of the associate that the client is assigned to

current_store_id
string | null
required

Unique identifier of the store that the client is assigned to

current_store_name
string | null
required

Name of the store that the client is assigned to

communication_preferences
object
required
preferences
object[]
required
segment
string | null
required

The Segmentention which the client is assigned to

preferred_journey
string | null
required

The Journey which the client is assigned to

referred_by_client_id
string | null
required

Unique identifier of the client that referred this client

referred_at
string | null
required

The date when the client referral was recorded in BSPK

Whether or not the client has given consent

notify_of_new_collection
boolean
required

Whether or not the client wants to be notified of new collections

last_contacted_at
string<date_time> | null
required

The last date the client was contacted by a Sales Associate

created_at
string<date_time>
required

Timestamp of when the client was created

updated_at
string<date_time>
required

Timestamp of when the client was updated

first_name
string | null

First name of the client

last_name
string | null

Last name of the client